package practica8_1;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;

public class ObjReader {
	 
	public static Object read(File file) {
	        Object result = null;
	        try (FileInputStream fis = new FileInputStream(file);
	             ObjectInputStream ois = new ObjectInputStream(fis)
	        ){
	            result = ois.readObject();
	        } catch (IOException | ClassNotFoundException e) {
	            throw new RuntimeException(e);
	        }
	        return result;
	    }
}
